Subject: RE: Problems with DLL creation using LIBTOOL
From: Rafael Jesus Alcantara Perez <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 17 Oct 1999 12:15:23 +0200

-----BEGIN PGP SIGNED MESSAGE-----

On Sat, 16 Oct 1999, Suhaib M. Siddiqi wrote:
> > Ok, but, at least on these platforms:
> >
> > * sparc-sun-solaris2.6
> > * i586-pc-linux-gnu
> >
> > ... I have compiled shared and static libraries successfully
> 
> The Dlls on Windows and shared libraries on Unices are two different things.
> 
> You will need to adapt your configure files so DLLs are created.
> Hvae a look at GGI code (http://www.ggi-project.org).  It is a very good
> example of using LIBTOOLS under Cygwin. Compile it, learn how it creates
> shared libs on Unices and DLLs on Win32/Cygwin then take their scripts
> and adapt them for your code.
> 
The only thing that I have found in their sources, is that they have got the
CVS versions of LIBTOOL and AUTOCONF. So that is the only thing I haven't tried.

Thanks again.
Rafa.
- -- 
+----------
| Rafael Jesus Alcantara Perez. P.O. Box 1199, 29080 Malaga, SPAIN.
| Email: mailto:[email-masked]
| PGP public key: http://www.vnet.es/~ralcan/public-key.asc
+---------------------
"For every complex problem there is a solution that is concise, clear, simple, and wrong."
(H. L. Mencken)

--
Want to unsubscribe from this list?
Send a message to [email-masked]